generic/233,270: unlimit the max locked memory size for io_uring
[xfstests-dev.git] / tests / xfs / 525
1 #! /bin/bash
2 # SPDX-License-Identifier: GPL-2.0-or-later
3 # Copyright (c) 2020 Oracle.  All Rights Reserved.
4 #
5 # FS QA Test No. 525
6 #
7 # Test formatting with a config file that contains conflicting options.
8 #
9 seq=`basename $0`
10 seqres=$RESULT_DIR/$seq
11 echo "QA output created by $seq"
12
13 here=`pwd`
14 tmp=/tmp/$$
15 status=1        # failure is the default!
16 trap '_cleanup; exit $status' 0 1 2 3 15
17
18 _cleanup()
19 {
20         cd /
21         rm -f $tmp.* $def_cfgfile
22 }
23
24 # get standard environment, filters and checks
25 . ./common/rc
26 . ./common/filter
27
28 # remove previous $seqres.full before test
29 rm -f $seqres.full
30
31 # real QA test starts here
32
33 # Modify as appropriate.
34 _supported_fs xfs
35 _require_test
36 _require_scratch_nocheck
37 _require_xfs_mkfs_cfgfile
38
39 echo "Silence is golden"
40
41 def_cfgfile=$TEST_DIR/a
42 rm -rf $def_cfgfile
43
44 cat > $def_cfgfile << ENDL
45 [metadata]
46 crc = 0
47 rmapbt = 1
48 reflink = 1
49
50 [inode]
51 sparse = 1
52 ENDL
53
54 $MKFS_XFS_PROG -c options=$def_cfgfile -f $SCRATCH_DEV > $tmp.mkfs 2>&1
55 if [ $? -eq 0 ]; then
56         echo "mkfs.xfs did not fail!"
57         cat $tmp.mkfs
58 fi
59
60 # success, all done
61 status=0
62 exit